pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator Class Reference

Creates a FLANN KdTreeSingleIndex from the given input data. More...

`#include <pcl/search/flann_search.h>`

Inheritance diagram for pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator:

## Public Member Functions

| KdTreeIndexCreator (unsigned int max_leaf_size=15)
virtual | ~KdTreeIndexCreator ()
| Empty destructor. More...
virtual IndexPtr | createIndex (MatrixConstPtr data)
| Create a FLANN Index from the input data. More...
Public Member Functions inherited from pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator
virtual | ~FlannIndexCreator ()
| destructor More...

## Detailed Description

### template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>
class pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator

Creates a FLANN KdTreeSingleIndex from the given input data.

Definition at line 149 of file flann_search.h.

## Constructor & Destructor Documentation

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator::KdTreeIndexCreator | ( | unsigned int | max_leaf_size = `15` | ) |

inline

Parameters

  [in] | max_leaf_size | All FLANN kd trees created by this class will have a maximum of max_leaf_size points per leaf node. Higher values make index creation cheaper, but search more costly (and the other way around).

Definition at line 156 of file flann_search.h.

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

virtual pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator::~KdTreeIndexCreator | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 159 of file flann_search.h.

## Member Function Documentation

template<typename PointT , typename FlannDistance >

pcl::search::FlannSearch< PointT, FlannDistance >::IndexPtr pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator::createIndex | ( | MatrixConstPtr | data | ) |

virtual

Create a FLANN Index from the input data.

Parameters

  [in] | data | The FLANN matrix containing the input.

Returns
  The FLANN index.

Implements pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator.

Definition at line 49 of file flann_search.hpp.

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/search/include/pcl/search/flann_search.h
- /build/pcl-0nnAvv/pcl-1.7.2/search/include/pcl/search/impl/flann_search.hpp